**Full name**: projects.locations.studies.trials.checkTrialEarlyStoppingState

Checks whether a Trial should stop or not. Returns a long-running operation. When the operation is successful, it will contain a `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/CheckTrialEarlyStoppingStateResponse`.

### Endpoint

post `https://{service-endpoint}/v1/{trialName}:checkTrialEarlyStoppingState`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`trialName` `string` Required. The Trial's name. Format: `projects/{project}/locations/{location}/studies/{study}/trials/{trial}`

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `trialName` resource:

- `aiplatform.trials.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).